Subject: Re: CCL:[Q]TCGMSG on SGI

From: "Omar G. Stradella" <[email-masked]>
Date: Wed, 7 May 1997 04:12:09 -0400

Hi Xiaofeng,

The problem is that you are running out of semaphore sets. By default,
the machines are configured with a limit of 10. Use systune (as root)
to increase semmni, for example to 60. Another alternative would be
to use the TCGMSG version that is based on MPI from PNNL:

http://www.emsl.pnl.gov:2080/docs/global/tcgmsg.html

Omar

On May 6, 11:52am, Xiaofeng Duan wrote:
> Subject: CCL:[Q]TCGMSG on SGI
> Hi, everyone!
> I am running paralleled GAMESS on SGI machines. I found there is a 
> problem that the TCGMSG which is used to parallel GAMESS only allows me to 
> use maximum 8 processors although the machines has 16 and 32 processors 
> respectively. Following is the error message I got when I tried running 
> TCGMSG for testing program "hello" with 16 processors on the machine 
> which is Origin 2000 having 32 processors:
> -----------------------------------------
> hpc03-1:/fs31/duanx/tcgmsg/ipcv4.0/ parallel hello
>  Creating: host=hpc03-1, user=duanx,
>            file=/fs31/duanx/tcgmsg/ipcv4.0/hello.x, port=2376
>  0: SemSetCreate: n_sem has invalid value 48 (0x30).
> system error message: Permission denied
> 16: interrupt
> -----------------------------------------
> I don't know what caused the above problem. Could somebody give me a help 
> with it?
> Thanks!
> ****************************************
> Xiaofeng Duan, Ph.D
> WL/MLBP, Bldg. 654
> 2941 P St. Ste. 1
> Wright-Patterson AFB, OH 45433
> (513)255-9164
> [email-masked]
> ****************************************
> 
> 
> -------This is added Automatically by the Software--------
> -- Original Sender Envelope Address: [email-masked]
> -- Original Sender From: Address: [email-masked]
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
>-- End of excerpt from Xiaofeng Duan

-- 
+---------------------------------------------------------------------+
Omar G. Stradella, Ph.D.                    Supercomputing Applications 
Silicon Graphics, Inc.                          Computational Chemistry
One Cabot Road, Hudson, MA 01749, USA           N 42 22'41" W 71 33'45"
E-mail: [email-masked] Phone: +1-508-567-2258 FAX: +1-508-562-4755 
http://www.sgi.com/ChemBio                  http://reality.sgi.com/omar 
+--------  Ph-nglui mglw'nafh Cthulhu R'lyeh wgah'nagl fhtagn  -------+